This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 98384 - rpm fails to build with missing symbol
rpm fails to build with missing symbol
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
1.0
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-01 21:45 EDT by Need Real Name
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-03 10:04:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-07-01 21:45:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux alpha; en-US; rv:1.3a) Gecko/20030120

Description of problem:
Attempt to recompile glibc fails error is below.
Packages installed:

gcc-3.3-7
binutils-2.14.90.0.4-15


Version-Release number of selected component (if applicable):
2.3.2-57

How reproducible:
Always

Steps to Reproduce:
1.rpmbuild --rebuild ../../SRPMS/glibc-2.3.2-57.src.rpm 
2.
3.
    

Actual Results:  a - io/fstat64.oS
a - io/lstat64.oS
: /usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/libc_nonshared.a
gcc   -nostdlib -nostartfiles -r -o
/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/libc_pic.os \
 -Wl,-d -Wl,--whole-archive
/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/libc_pic.a
gcc   -shared -Wl,-O1 \
   -Wl,-dynamic-linker=/lib/ld-linux.so.2 -Wl,-z,combreloc \
  -Wl,--verbose 2>&1 | \
  sed >
/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/shlib.ldsT \
      -e '/^=========/,/^=========/!d;/^=========/d' \
      -e 's/^.*\.hash[  ]*:.*$/  .note.ABI-tag : { *(.note.ABI-tag) } &/' \
      -e 's/^.*\*(\.dynbss).*$/& \
         PROVIDE(__start___libc_freeres_ptrs = .); \
         *(__libc_freeres_ptrs) \
         PROVIDE(__stop___libc_freeres_ptrs = .);/'
mv -f
/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/shlib.ldsT
/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/shlib.lds
gcc   -shared -static-libgcc -Wl,-O1  -Wl,-z,defs
-Wl,-dynamic-linker=/lib/ld-linux.so.2 
-B/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/csu/ 
-Wl,--version-script=/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/libc.map
-Wl,-soname=libc.so.6.1 -Wl,-z,combreloc -nostdlib -nostartfiles -e __libc_main
-u __register_frame
-L/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux
-L/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/math
-L/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/elf
-L/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/dlfcn
-L/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/nss
-L/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/nis
-L/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/rt
-L/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/resolv
-L/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/crypt
-L/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/linuxthreads
-Wl,-rpath-link=/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux:/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/math:/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/elf:/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/dlfcn:/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/nss:/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/nis:/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/rt:/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/resolv:/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/crypt:/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/linuxthreads
-o /usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/libc.so -T
/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/shlib.lds
/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/csu/abi-note.o
/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/elf/soinit.os
/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/libc_pic.os
/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/elf/sofini.os
/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/elf/interp.os
/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/elf/ld.so -lgcc
-lgcc_eh
/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/libc_pic.os(.text+0xdc944):../sysdeps/posix/posix_fallocate64.c:64:
undefined reference to `__GI___pwrite64'
/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/libc_pic.os(.text+0xdc954):../sysdeps/posix/posix_fallocate64.c:64:
undefined reference to `__GI___pwrite64'
collect2: ld returned 1 exit status
make[1]: ***
[/usr/src/redhat/BUILD/glibc-2.3.2-200306241308/build-alpha-linux/libc.so] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/glibc-2.3.2-200306241308'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.45021 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.45021 (%build)


Expected Results:  a bunch of binary RPMS

Additional info:

I am recompilling to insure I have -fPIC installed, and I am trying to
track down the following issue:

[donaldlf@shadowdragon article_00]$ ./test_load 
Loader Error: /usr/users/donaldlf/article_00/obj_b.so: undefined symbol:
__dso_handle
[donaldlf@shadowdragon article_00]$ 

And it was suggest the symbol was missing.....
Comment 1 Jakub Jelinek 2003-07-03 10:04:50 EDT
We no longer build on alpha.
Anyway, I think __GI_pwrite64 has been fixed in CVS by:
2003-06-24  Richard Henderson  <rth@redhat.com>

        * sysdeps/unix/sysv/linux/alpha/syscalls.list (pread, pwrite): Use
        the 64-bit syscall name.
so you just need a newer src.rpm.

Note You need to log in before you can comment on or make changes to this bug.